cURL
curl --request GET \
--url https://sandbox.withclasp.com/business_units/{public_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.withclasp.com/business_units/{public_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.withclasp.com/business_units/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"employer": "<string>",
"legal_name": "<string>",
"public_id": "<string>",
"trade_name": "<string>",
"federal_ein": "<string>",
"is_primary": true,
"address": {
"line1": "<string>",
"city": "<string>",
"state": "AL",
"zip_code": "<string>",
"line2": "<string>"
},
"phone_number": "<string>",
"email": "<string>",
"metadata": {}
}Business Units
Retrieve Business Unit
GET
/
business_units
/
{public_id}
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Response
200 - application/json
Pattern:
^[-a-zA-Z0-9_]+$Maximum string length:
255Maximum string length:
30Pattern:
^[-a-zA-Z0-9_]+$Maximum string length:
255Maximum string length:
255Show child attributes
Show child attributes
Maximum string length:
10Maximum string length:
255Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.
Show child attributes
Show child attributes